include:
  - project: gitlab-org/quality/pipeline-common
    ref: 8.6.1
    file:
      - /ci/danger-review.yml

danger-review:
  extends:
    - .default-retry
    - .ruby-node-cache
    - .review:rules:danger
  image: "${DEFAULT_CI_IMAGE}"
  before_script:
    - source scripts/utils.sh
    - bundle_install_script "--with danger"
    - yarn_install_script

danger-review-local:
  extends: danger-review
  before_script:
    - !reference ["danger-review", "before_script"]
    # We unset DANGER_GITLAB_API_TOKEN so that Danger will run as local from `danger-review:script`
    - unset DANGER_GITLAB_API_TOKEN
